Name:		laughlin-kde-theme
Version:	13.91.0
Release:	1%{?dist}
Summary:	Laughlin KDE Theme

Group:		User Interface/Desktops
License:	GPLv2+ and CC-BY-SA

# We are upstream for this package
URL:		https://fedorahosted.org/fedora-kde-artwork/
Source0:	https://fedorahosted.org/releases/f/e/fedora-kde-artwork/%{name}-%{version}.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch
BuildRequires:	kde-filesystem
Requires:	kde-filesystem
Requires:	system-logos
Requires:	laughlin-backgrounds-kde >= 13.91.0 

Provides:	laughlin-kdm-theme = %{version}-%{release}
Provides:	laughlin-ksplash-theme = %{version}-%{release}

# replace it later for F15
%if 0%{?fedora} > 14
Provides:       system-kde-theme = %{version}-%{release}
Provides:       system-kdm-theme = %{version}-%{release}
Provides:       system-ksplash-theme = %{version}-%{release}
%endif

%if 0%{?fedora} == 14
Provides:       system-kde-theme = %{version}-%{release}
Provides:       system-kdm-theme = %{version}-%{release}
Provides:       system-ksplash-theme = %{version}-%{release}
%endif

%description
This is Laughlin KDE Theme Artwork containing
KDM and KSplash theme.


%prep
%setup -q


%build
# blank

%install
rm -rf %{buildroot}

### KDM
mkdir -p %{buildroot}%{_kde4_appsdir}/kdm/themes/
cp -rp kdm/Laughlin/ %{buildroot}%{_kde4_appsdir}/kdm/themes/
pushd %{buildroot}%{_kde4_appsdir}/kdm/themes/Laughlin/
ln -s ../../../../../backgrounds/laughlin/default/standard/laughlin.png laughlin-640x480.jpg
# That one's not really 8:5, but it's the closest...
ln -s ../../../../../backgrounds/laughlin/default/wide/laughlin.png laughlin-800x480.jpg
ln -s ../../../../../backgrounds/laughlin/default/standard/laughlin.png laughlin-800x600.jpg
# That one's not really 8:5, but it's the closest...
ln -s ../../../../../backgrounds/laughlin/default/wide/laughlin.png laughlin-1024x600.jpg
ln -s ../../../../../backgrounds/laughlin/default/standard/laughlin.png laughlin-1024x768.jpg
ln -s ../../../../../backgrounds/laughlin/default/wide/laughlin.png laughlin-1152x720.jpg
ln -s ../../../../../backgrounds/laughlin/default/standard/laughlin.png laughlin-1152x864.jpg
ln -s ../../../../../backgrounds/laughlin/default/standard/laughlin.png laughlin-1200x900.jpg
# That one's not really 8:5, but it's the closest...
ln -s ../../../../../backgrounds/laughlin/default/wide/laughlin.png laughlin-1280x720.jpg
# That one's not really 8:5, but it's the closest...
ln -s ../../../../../backgrounds/laughlin/default/wide/laughlin.png laughlin-1280x768.jpg
ln -s ../../../../../backgrounds/laughlin/default/wide/laughlin.png laughlin-1280x800.jpg
ln -s ../../../../../backgrounds/laughlin/default/standard/laughlin.png laughlin-1280x960.jpg
ln -s ../../../../../backgrounds/laughlin/default/normalish/laughlin.png laughlin-1280x1024.jpg

# That one's not really 8:5, but it's the closest...
ln -s ../../../../../backgrounds/laughlin/default/wide/laughlin.png laughlin-1366x768.jpg
ln -s ../../../../../backgrounds/laughlin/default/wide/laughlin.png laughlin-1440x900.jpg
ln -s ../../../../../backgrounds/laughlin/default/standard/laughlin.png laughlin-1440x1080.jpg
ln -s ../../../../../backgrounds/laughlin/default/standard/laughlin.png laughlin-1600x1200.jpg
ln -s ../../../../../backgrounds/laughlin/default/normalish/laughlin.png laughlin-1600x1280.jpg
ln -s ../../../../../backgrounds/laughlin/default/wide/laughlin.png laughlin-1680x1050.jpg
# That one's not really 8:5, but it's the closest...
ln -s ../../../../../backgrounds/laughlin/default/wide/laughlin.png laughlin-1920x1080.jpg
ln -s ../../../../../backgrounds/laughlin/default/wide/laughlin.png laughlin-1920x1200.jpg
ln -s ../../../../../backgrounds/laughlin/default/standard/laughlin.png laughlin-1920x1440.jpg
ln -s ../../../../../backgrounds/laughlin/default/standard/laughlin.png laughlin-2048x1536.jpg
# KDM falls back to this one if there's no match
ln -s ../../../../../backgrounds/laughlin/default/standard/laughlin.png laughlin.png
# system logo
ln -s ../../../../../pixmaps/system-logo-white.png system-logo-white.png
popd

## KSplash
mkdir -p %{buildroot}%{_kde4_appsdir}/ksplash/Themes/
cp -rp ksplash/Laughlin/ %{buildroot}%{_kde4_appsdir}/ksplash/Themes/
ln -s ../../../../../../backgrounds/laughlin/default/standard/laughlin.png %{buildroot}%{_kde4_appsdir}/ksplash/Themes/Laughlin/2048x1536/laughlin.png
mkdir %{buildroot}%{_kde4_appsdir}/ksplash/Themes/Laughlin/1280x800/
ln -s ../../../../../../backgrounds/laughlin/default/wide/laughlin.png %{buildroot}%{_kde4_appsdir}/ksplash/Themes/Laughlin/1280x800/laughlin.png

# system logo 
ln -s ../../../../../../pixmaps/system-logo-white.png %{buildroot}%{_kde4_appsdir}/ksplash/Themes/Laughlin/2048x1536/logo.png


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README COPYING.CC-BY-SA COPYING.GPLv2
%{_kde4_appsdir}/kdm/themes/Laughlin/
%{_kde4_appsdir}/ksplash/Themes/Laughlin/


%changelog
* Mon Aug 02 2010 Jaroslav Reznik <jreznik@redhat.com> 13.91.0-1
- initial package
